# Contributing to [fetchp](https://github.com/eserozvataf/fetchp)

👍🎉 First off, thanks for taking the time to contribute! 🎉👍

The following is a set of guidelines for contributing to fetchp and its packages, which are hosted in GitHub. These are mostly guidelines, not rules. Use your best judgment, and feel free to propose changes to this document in a pull request.

## What should I know before I get started?

### Code of Conduct

This project and everyone participating in it is governed by the [Code of Conduct](CODE_OF_CONDUCT.md). By participating, you are expected to uphold this code. Please report unacceptable behavior to [eser@ozvataf.com](mailto:eser@ozvataf.com).

### Technical Requirements

Just JavaScript and Git.

### Conventions

Using Deno Formatter should be fine for now.

### Design Decisions

To make a significant decision in how we maintain the project and what we can or cannot support, please open a new topic as an issue to discuss the suggested design first.

## How Can I Contribute?

It is publicly open for any contribution. Reporting bugs, suggesting enhancements, bugfixes, new features and extra modules are welcome.

* To contribute to code: Fork the repo, push your changes to your fork, and submit a pull request.
* To report a bug: If something does not work, please report it using [GitHub Issues](https://github.com/eserozvataf/fetchp/issues).
