import * as dntShim from "./_dnt.shims.js";
import { CacheRegistry, Fetchp, FetchpHookType, FetchpStatus, HookRegistry, MockRegistry, } from "./fetchp.js";
// implementation (public)
// -----------------------
class FetchpMock extends Fetchp {
    constructor() {
        super();
        Object.defineProperty(this, "mockResponseFn", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        this.mockResponseFn = () => Promise.resolve(new dntShim.Response());
    }
    setMockResponseFn(responseFn) {
        this.mockResponseFn = responseFn;
    }
    internalFetcher(request) {
        return this.mockResponseFn(request);
    }
}
// singleton instance for predefined, default fetchp object
const fetchpMock = new FetchpMock();
export { CacheRegistry, FetchpHookType, FetchpMock as Fetchp, fetchpMock as default, fetchpMock as fetchp, FetchpStatus, HookRegistry, MockRegistry, };
