import { UrlCollection, } from "./url-collection.js";
class MockRegistry {
    constructor() {
        Object.defineProperty(this, "items", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        this.items = new UrlCollection();
    }
    add(methods, requestUrlPattern, response) {
        const responseFn = (response.constructor === Function)
            ? response
            : (_) => Promise.resolve(response);
        this.items.add(methods, requestUrlPattern, responseFn);
    }
    clear() {
        this.items.clear();
    }
    find(request, urlConverter) {
        var _a;
        const foundMocks = this.items.filter(request.method, request.url, urlConverter);
        if (foundMocks.length === 0) {
            return {
                request: request,
                responseFn: undefined,
            };
        }
        return {
            request: request,
            responseFn: (_a = foundMocks[0]) === null || _a === void 0 ? void 0 : _a.data,
        };
    }
}
export { MockRegistry };
