"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UrlCollection = void 0;
class UrlCollection {
    constructor() {
        Object.defineProperty(this, "items", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        this.items = [];
    }
    add(methods, requestUrlPattern, data) {
        const methods_ = (methods.constructor === Array)
            ? methods
            : [methods];
        const isRegExp = (requestUrlPattern.constructor === RegExp);
        this.items.push({
            methods: methods_,
            requestUrlPattern,
            isRegExp,
            data,
        });
    }
    clear() {
        this.items = [];
    }
    filter(method, url, urlConverter) {
        const foundItems = this.items
            .filter((x) => x.methods.includes(method))
            .filter((x) => {
            if (x.isRegExp) {
                return x.requestUrlPattern.test(url);
            }
            if (urlConverter !== undefined) {
                const convertedUrl = urlConverter(x.requestUrlPattern)
                    .toString();
                return (convertedUrl === url);
            }
            return (x.requestUrlPattern === url);
        });
        return foundItems;
    }
    filterByRequest(request, urlConverter) {
        return this.filter(request.method, request.url, urlConverter);
    }
}
exports.UrlCollection = UrlCollection;
