import * as dntShim from "./_dnt.shims.js";
import { type UrlCollectionInterface } from "./url-collection.js";
declare enum FetchpHookType {
    BuildRequestHeaders = "BuildRequestHeaders",
    NewRequest = "NewRequest",
    StateChange = "StateChange",
    Success = "Success",
    Error = "Error",
    Cancel = "Cancel"
}
declare type FetchpHookFn = (...params: any[]) => void;
interface FetchpHookItem {
    globals: Set<FetchpHookFn>;
    urlBased: UrlCollectionInterface<FetchpHookFn>;
}
interface HookRegistryInterface {
    items: Record<FetchpHookType, FetchpHookItem>;
    add(hookType: FetchpHookType, func: FetchpHookFn): void;
    addForUrl(hookType: FetchpHookType, methods: string | string[], requestUrlPattern: string | RegExp, func: FetchpHookFn): void;
    clear(): void;
    callGlobalHooks(hookType: FetchpHookType, ...params: any[]): Promise<undefined>;
    callHooksWithRequest(hookType: FetchpHookType, request: dntShim.Request | undefined, urlConverter: ((url: string) => URL) | undefined, ...params: any[]): Promise<undefined>;
}
declare class HookRegistry implements HookRegistryInterface {
    items: Record<FetchpHookType, FetchpHookItem>;
    constructor();
    internalEnsureHookItemExists(hookType: FetchpHookType): void;
    add(hookType: FetchpHookType, func: FetchpHookFn): void;
    addForUrl(hookType: FetchpHookType, methods: string | string[], requestUrlPattern: string | RegExp, func: FetchpHookFn): void;
    clear(): void;
    callGlobalHooks(hookType: FetchpHookType, ...params: any[]): Promise<undefined>;
    callHooksWithRequest(hookType: FetchpHookType, request: dntShim.Request | undefined, urlConverter: ((url: string) => URL) | undefined, ...params: any[]): Promise<undefined>;
}
export { type FetchpHookFn, FetchpHookType, HookRegistry, type HookRegistryInterface, };
