import * as dntShim from "./_dnt.shims.js";
import { UrlCollection, type UrlCollectionInterface } from "./url-collection.js";
declare type MockResponseFn = (request: dntShim.Request) => Promise<dntShim.Response>;
interface MockRegistryInterface {
    items: UrlCollectionInterface<MockResponseFn>;
    add(methods: string | string[], requestUrlPattern: string | RegExp, response: dntShim.Response | MockResponseFn): void;
    clear(): void;
    find(request: dntShim.Request, urlConverter?: (url: string) => URL): {
        request: dntShim.Request;
        responseFn: MockResponseFn | undefined;
    };
}
declare class MockRegistry implements MockRegistryInterface {
    items: UrlCollection<MockResponseFn>;
    constructor();
    add(methods: string | string[], requestUrlPattern: string | RegExp, response: dntShim.Response | MockResponseFn): void;
    clear(): void;
    find(request: dntShim.Request, urlConverter?: (url: string) => URL): {
        request: dntShim.Request;
        responseFn: undefined;
    } | {
        request: dntShim.Request;
        responseFn: MockResponseFn;
    };
}
export { MockRegistry, type MockRegistryInterface };
