import * as dntShim from "./_dnt.shims.js";
interface UrlCollectionItem<T = unknown> {
    methods: string[];
    requestUrlPattern: string | RegExp;
    isRegExp: boolean;
    data: T;
}
interface UrlCollectionInterface<T = unknown> {
    items: UrlCollectionItem<T>[];
    add(methods: string | string[], requestUrlPattern: string | RegExp, data: T): void;
    clear(): void;
    filter(method: string, url: string, urlConverter?: (url: string) => URL): UrlCollectionItem<T>[];
    filterByRequest(request: dntShim.Request, urlConverter?: (url: string) => URL): UrlCollectionItem<T>[];
}
declare class UrlCollection<T = unknown> implements UrlCollectionInterface<T> {
    items: UrlCollectionItem<T>[];
    constructor();
    add(methods: string | string[], requestUrlPattern: string | RegExp, data: T): void;
    clear(): void;
    filter(method: string, url: string, urlConverter?: (url: string) => URL): UrlCollectionItem<T>[];
    filterByRequest(request: dntShim.Request, urlConverter?: (url: string) => URL): UrlCollectionItem<T>[];
}
export { UrlCollection, type UrlCollectionInterface, type UrlCollectionItem };
