import { type FetchpInterface, type FetchpRequestInit, type FetchpResultInterface, FetchpStatus } from "./fetchp.js";
declare const useFetchpBuilder: (fetchpInstance: FetchpInterface) => <T = any>(method: string, url: string, init?: FetchpRequestInit) => {
    doFetch: () => void;
    data: T | undefined;
    status: FetchpStatus;
    isIdle: boolean;
    isFetching: boolean;
    isLoading: boolean;
    isError: boolean;
    isCanceled: boolean;
    isSuccess: boolean;
    error: any;
    result: FetchpResultInterface<any> | undefined;
};
declare const useFetchp: <T = any>(method: string, url: string, init?: FetchpRequestInit) => {
    doFetch: () => void;
    data: T | undefined;
    status: FetchpStatus;
    isIdle: boolean;
    isFetching: boolean;
    isLoading: boolean;
    isError: boolean;
    isCanceled: boolean;
    isSuccess: boolean;
    error: any;
    result: FetchpResultInterface<any> | undefined;
};
export { FetchpStatus, useFetchp, useFetchp as default, useFetchpBuilder };
